$(document).ready(function(){
	var siteName = $("#siteName").val();
	var siteId = $("#siteId").val();
	//自动填充用户名
	$("#userMobile").autocomplete({
		width : 300,
		max : 10,
		delay : 100,
		minLength : 1,
		autoFocus : true,
		cacheLength : 1,
		highlight : false,
		mustMatch:true,
		source : function(request, response) {
			var userMobile = $("#userMobile").val();
			if(userMobile) userMobile = userMobile.trim();
			var organizationId = $("#organizationId").val();
			
			$("#userName").attr("disabled",false);
    		$("#userName").val(""); 
			$.ajax({
				url : "../siteApplication/findByNameList",
				data :{"userMobile":userMobile,"organizationId":organizationId},
				type : "POST",
				dataType: "json",
				success : function(data) {
					response($.map(eval(data.msg), function(item) {
						return {
							value : item.userMobile + " " + item.userName,
							userName : item.userName,
							id : item.id,
							userMobile : item.userMobile
						};
						
					}));
				}
			});
	
		},
		select : function(event, ui) {
			var data = ui.item;
			ui.item.value = data.userMobile;
	    	$("#userMobile").val(data.userMobile);
	    	if(null != data.userName && data.userName != ""){
	    		$("#userName").attr("disabled",true);
	    		$("#userName").val(data.userName);   
	    	}
		}
	
	});
	
	//如果未选择时间，则加载时间
	if((null != siteId && siteId != "" && siteId != "undefined") && ($("#startTime_bak").val() == null || $("#startTime_bak").val() =="")){
		$("#endTime").empty();
		$("#endTime").html("<option value=''>--请选择--</option>");
		//加载场地时间列表
		$.ajax({
			type : 'POST',
			url : '../siteApplication/findBySiteIdTimeList',
			data:{"siteId":siteId},
			dataType : 'json',// 返回值类型 一般设置为json
			success : function(data) // 服务器成功响应处理函数
			{
				$("#startTime").empty();
				var subs = data.msg;// 获取data中list的数组
				var _array = [];
				_array.push("<option value=''>--请选择--</option>");
				$.each(subs,function(key,values){
				    $(values).each(function(){
				        if(this.status==0){
							_array.push("<option value='" + key + "'>"+ key + "</option>");
							$("#startTime").html(_array.join(""));
				        }
				    });
				});
				$("#startTime").html(_array.join(""));
			}
		});
	}
	
    if(siteName == null || siteName =='undefined' || siteName == ""){
    	//选择场地
        var buildingId = $("#buildingId").val();//楼栋id
    	//加载场地
    	$.ajax({
    		type : 'POST',
    		url : '../siteApplication/findSite',
    		data:{"buildingId":buildingId},
    		dataType : 'json',// 返回值类型 一般设置为json
    		success : function(data) // 服务器成功响应处理函数
    		{
    			$("#site").empty();
    			var subs = data.msg;// 获取data中list的数组
    			var _array = [];
    			_array.push("<option value=''>--请选择--</option>");
    			for ( var i = 0; i < subs.length; i++) {
//    				_array.push("<option '"+<c:if test=subs[i].id eq buildingId> selected="'selected'"</c:if> + 'value="' + subs[i].id + "'>"+ subs[i].pname + "</option>");
    				_array.push("<option value='" + subs[i].id + "'>"+ subs[i].name + "</option>");
    				$("#site").html(_array.join(""));
    			}
    			$("#site").html(_array.join(""));
    		}
    	});
    }else{
    	$("#site").append("<option selected='selected' value='"+siteId+"'>"+siteName+"</option>");
    }
    
    //默认赋值
    var startTime_bak = $("#startTime_bak").val();
	if(startTime_bak != null && startTime_bak != ""){
		$("#startTime").empty();
		$("#startTime").append("<option value='"+startTime_bak+"'>"+startTime_bak+"</option>");
	}
	var endTime_bak = $("#endTime_bak").val();
	if(endTime_bak != null && endTime_bak != ""){
		$("#endTime").empty();
		$("#endTime").append("<option value='"+endTime_bak+"'>"+endTime_bak+"</option>");
	}
	
	//新增场地预定
	$("#addSiteApplication").click(function(){
		var userMobile = $("#userMobile").val();
		var startTime = $("#startTime").val();
		var endTime = $("#endTime").val();
		var siteId = $("#site").val();
		var organizationId = $("#organizationId").val();
		var buildingId = $("#buildingId").val();
		var userName = $("#userName").val();
		var purpose = $("#purpose").val();
		var timeArrsLength = $("#timeArrsLength").val();
		
		if(isPhone(userMobile) == false){
			return;
		}
		
		$.ajax({
			type : 'POST',
			url : '../siteApplication/addSiteApplication',
			data:{"siteId":siteId,"startTime":startTime,"endTime":endTime,"organizationId":organizationId,"buildingId":buildingId,"userName":userName,"purpose":purpose,"timeArrsLength":timeArrsLength,"userMobile":userMobile},
			dataType : 'json',// 返回值类型 一般设置为json
			success : function(data) // 服务器成功响应处理函数
			{
				if(data.code == '0'){
					alert(data.msg);
					window.location.href="../siteApplication/list";
				}else{
					alert(data.msg);
				}
			}
		});
	})
	
	//取消返回
	$("#back").click(function(){
		window.location.href="../siteApplication/list";
	})
    
})

function findStartTime(){
	var site = $("#site").val();
	var startTime = $("#startTime").val();
	if(site == null || site == ""){
		$("#startTime").empty();
		$("#startTime").html("<option value=''>--请选择--</option>");
		
		$("#endTime").empty();
		$("#endTime").html("<option value=''>--请选择--</option>");
		return;
	}
//	alert($('#site option:selected').val());
	//加载场地时间列表
	$.ajax({
		type : 'POST',
		url : '../siteApplication/findBySiteIdTimeList',
		data:{"siteId":site},
		dataType : 'json',// 返回值类型 一般设置为json
		success : function(data) // 服务器成功响应处理函数
		{
			$("#startTime").empty();
			var subs = data.msg;// 获取data中list的数组
			var _array = [];
			_array.push("<option value=''>--请选择--</option>");
			$.each(subs,function(key,values){
			    $(values).each(function(){
			        if(this.status==0){
						_array.push("<option value='" + key + "'>"+ key + "</option>");
						$("#startTime").html(_array.join(""));
			        }
			    });
			});
			$("#startTime").html(_array.join(""));
		}
	});
}

function findEndTime(){
	var site = $("#site").val();
	var startTime = $("#startTime").val();
	if(site == null || site == ""){
		alert("请选择预定场地！");
		return;
	}
	if(startTime == null || startTime == ""){
		$("#endTime").empty();
		$("#endTime").html("<option value=''>--请选择--</option>");
		return;
	}
	//加载场地时间列表
	$.ajax({
		type : 'POST',
		url : '../siteApplication/findBySiteIdTimeListEnd',
		data:{"siteId":site,"startTime":startTime},
		dataType : 'json',// 返回值类型 一般设置为json
		success : function(data) // 服务器成功响应处理函数
		{
			$("#endTime").empty();
			var subs = data.msg;// 获取data中map的数数据
			var _array = [];
			_array.push("<option value=''>--请选择--</option>");
			$.each(subs,function(key,values){
			    $(values).each(function(){
			        if(this.status==0){
						_array.push("<option value='" + key + "'>"+ key + "</option>");
						$("#endTime").html(_array.join(""));
			        }
			    });
			});
			$("#endTime").html(_array.join(""));
		}
	});
}

//验证手机号码
function isPhone(val){
	if(val == null || val == "" ){
		alert("手机号码不能为空！");
		return false;
	}
	/*中移动手机号码*/
	var PATTERN_CHINAMOBILE = /^1(3[4-9]|5[012789]|8[23478]|4[7]|7[8])\d{8}$/;
	/*联通手机号码*/
	var PATTERN_CHINAUNICOM =/^1(3[0-2]|5[56]|8[56]|4[5]|7[6])\d{8}$/;
	/*电信手机号码*/
	var PATTERN_CHINATELECOM =/^1(3[3])|(8[019])\d{8}$/;
	if(PATTERN_CHINAMOBILE.test(val) || PATTERN_CHINAUNICOM.test(val) || PATTERN_CHINATELECOM.test(val)){
		return true;
	}
	alert("手机号码格式不正确");
	return false;
}
